Darian
Lanx

    content@openprojects.net

25-04-2001
0.01.01
KBuildSycoca
8

# Descripció

Refà el cau de configuració del sistema.

## Sinopsis

    kbuildsycoca  --nosignal --incremental --help --help-qt --help-kde --help-all --author -v, --version --license

## Descripció

`kbuildsyscoca`, forma part de les eines de línia de comandaments del &kde;, assegura l'adequada operació de &kde; llegint en tots els fitxers `.desktop`, `.directory`, `.kimgio` i `.protocol` per a construir una base de dades binària.

El mateix &kde; accedeix a aquesta base de dades durant l'operació per a proveir la informació de configuració que necessita un programa per a executar-se.

Aquesta eina forma part de ksyscoca, el qual manté el cau de la configuració del sistema &kde;

## Opcions

`--nosignal`

  No senyala les aplicacions

`--incremental`

  Actualització incremental

`--help`

  Mostra ajuda quant a les opcions

`--help-qt`

  Mostra les opcions específiques de Qt

`--help-kde`

  Mostra les opcions específiques de KDE

`--help-all`

  Mostra totes les opcions

`--author`

  Mostra informació de l'autor

`--version`

  Mostra informació de la versió

`--licencia`

  Mostra informació de llicència

## Ús

Una manera estàndard per executar aquest programa és simplement especificant el següent comandament a l'indicatiu ``kbuildsyscoca``

## Fitxers

`/tmp/kde-$USER/ksyscoca`

  ...

## Variables d'entorn

$`KDEDIRS`

  Especifica quins directoris formen part de la instal·lació de KDE

## Veure també

ksycoca(3), kblah(4), knogga(6)

## Errors

No hi ha errors coneguts alhora d'escriure aquest document.